> For the complete documentation index, see [llms.txt](https://docs.bird.com/taxi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/taxi/connectors/salesforce-marketing-cloud-connector/setting-up-segmentation-for-salesforce-marketing-cloud.md).

# Segmentation in Taxi

[Segment sets](https://docs.messagebird.com/taxi/Dynamic%20content,%20segmentation%20and%20personalisation/Segmentation/creating-and-managing-segment-sets) and [single segments](https://docs.messagebird.com/taxi/Dynamic%20content,%20segmentation%20and%20personalisation/Segmentation/creating-and-managing-single-segments) are defined in the segmentation section of your Taxi account. These allow you to set up rules to control which content is sent to the groups of people within this segmentation. They are then applied to any of the modules in your Email Design System to give you complete control of the specific content that’s sent to your customers.

This segmentation is mapped by the connector to ampscript code snippets, and this ampscript is run when the email is sent. This ensures each recipient gets the content selected for them.

![](https://downloads.intercomcdn.com/i/o/247370521/1222188d273b8e51bba4925b/SFMC+segmentation.png?expires=1619172000\&signature=69f0921c2fa33df7ba9de2bb0b252c5f4c88e03c085d21fb628318136630de51)

Once segments are defined it is possible to use them in the Taxi editor and to preview content for each segment.

\
To be able to export code through the connector, the ampscript for segments must be added. This ampscript is set per connector. This means you can use different ampscript between environments, so you can work with different data structures and formats if needed. You can read more about AMPscript Language Elements [here](https://developer.salesforce.com/docs/atlas.en-us.noversion.mc-programmatic-content.meta/mc-programmatic-content/languageElements.htm)

\
Code for segments is entered through the segmentation settings.

![](https://downloads.intercomcdn.com/i/o/247370576/d388e54a77532c3d5676f865/SFMC+segmentation+1+.png?expires=1619172000\&signature=75d5735d8753da0f302b1fbd205ef45db5a36a341d7a74cdf5e5e1079f7841ae)![](https://downloads.intercomcdn.com/i/o/247370707/a1f343a1e6368ba836ac4d87/SFMC+segmentation+2.png?expires=1619172000\&signature=1bf0a81670c42501c2715dae537e09d2fc311e069a4e01e2059d40b23f2162be)![](https://downloads.intercomcdn.com/i/o/247370744/38f7dddc9fc108c46b4546df/SFMC+segmentation+3+.png?expires=1619172000\&signature=656ef6dafadf59591b2850943ad1475d694133020b18cb7f4c79990e8b4361e8)

Below are the supported operators:\
\
Comparison operators compare values. These operators are case-insensitive.

* \== Is equal to
* != Is not equal to
* \> Greater than
* < Less Than
* \>= Greater than or equal to
* <= Less than or equal to

Use join operators to combine multiple conditions.

* AND - Both conditions must be true
* OR - Either condition must be true

The NOT operator reverses the result of any Boolean expression.

* NOT - Reverses the Boolean expression

When setting up segment sets for the Salesforce connector you are able to select which data extension you want to use to segment your emails.

A data extension is a table in Salesforce that contains your data. For more information see [here](https://help.salesforce.com/articleView?id=mc_co_salesforce_data_extensions.htm\&type=5)

Next to each segment if statement, there is a dropdown to select which value from the data extension you want to use. When you select an item from the dropdown it populates in the fields on the segment set page. This can make it much easier to set up your segment sets and match it to your data, as you won’t have to copy and paste in the values and risk adding in the incorrect rules.

Salesforce segment sets are cached for 72 hours.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/taxi/connectors/salesforce-marketing-cloud-connector/setting-up-segmentation-for-salesforce-marketing-cloud.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
